variables:
  OSDU_GCP_APPLICATION_NAME: os-register
  OSDU_GCP_VENDOR: gcp
  OSDU_GCP_ENVIRONMENT: dev
  OSDU_GCP_SERVICE: register
  OSDU_GCP_ENV_VARS: GOOGLE_CLOUD_PROJECT=${OSDU_GCP_PROJECT},ENTITLEMENTS_API=${OSDU_GCP_ENTITLEMENTS_URL},GCLOUD_REGION=${OSDU_GCP_CLOUDRUN_REGION},STORAGE_API=${OSDU_GCP_STORAGE_URL},INTEGRATION_TEST_AUDIENCES=${GOOGLE_AUDIENCE},SUBSCRIBER_SECRET=${OSDU_GCP_SUBSCRIBER_SECRET},SUBSCRIBER_PRIVATE_KEY_ID=${OSDU_GCP_SUBSCRIBER_PRIVATE_KEY_ID},ENVIRONMENT=${OSDU_GCP_ENVIRONMENT},CRON_JOB_EXPECTED_IP=${CRON_JOB_EXPECTED_IP},RECORDS_CHANGE_PUBSUB_ENDPOINT=${RECORDS_CHANGE_PUBSUB_ENDPOINT},SERVICE_IDENTITY=${SERVICE_IDENTITY}

  AWS_BUILD_SUBDIR: provider/register-aws/build-aws
  AWS_TEST_SUBDIR: testing/register-test-aws
  AWS_SERVICE: register
  AWS_ENVIRONMENT: dev

  IBM_BUILD_SUBDIR: provider/register-ibm
  IBM_INT_TEST_SUBDIR: testing/register-test-ibm

  AZURE_SERVICE: register
  AZURE_BUILD_SUBDIR: provider/register-azure
  AZURE_TEST_SUBDIR: testing/register-test-azure

include:
  - project: "osdu/platform/ci-cd-pipelines"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "build/maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/fossa-maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/gcp.yml"

  - project: 'osdu/platform/ci-cd-pipelines'
    file: 'cloud-providers/aws.yml'

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/gitlab-ultimate.yml"

  - project: 'osdu/platform/ci-cd-pipelines'
    file: 'cloud-providers/osdu-gcp-cloudrun.yml'

  - project: 'osdu/platform/ci-cd-pipelines'
    ref: master
    file: 'cloud-providers/azure.yml'

# disable the eslint scanner
# I think this is being generated from the presence of an HTML file, but there
# is no javascript to scan, so the job isn't helpful and just gets in the way
eslint-sast:
  rules:
    - when: never




